# Uses of Interface
java.lang.management.MemoryMXBean

Packages that use MemoryMXBean
Package
Description
java.lang.management
Provides the management interfaces for monitoring and management of the Java virtual machine and other components in the Java runtime.

## Uses of MemoryMXBean in java.lang.management

Methods in java.lang.management that return MemoryMXBean
Modifier and Type
Method
Description
`static MemoryMXBean`
ManagementFactory.`getMemoryMXBean()`
Returns the managed bean for the memory system of the Java virtual machine.